Bug 5030 - QPhotoRec
: QPhotoRec
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-10 05:20 MSK by Shalok Shalom
Modified: 2015-02-17 18:25 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shalok Shalom 2015-02-10 05:20:39 MSK
There is a GUI for Photorec: http://www.geekssharingspace.org/2013/12/qphotorec-10-data-recovery-software-to.html
Comment 1 Denis Silakov 2015-02-10 18:09:05 MSK
From http://www.cgsecurity.org/wiki/Developers#qphotorec:_PhotoRec_with_a_Qt4_GUI:

"qphotorec isn't yet usable but you are welcome to work on it ;-)"


Though maybe it makes sense to take a look at it. To build qphotorce, one should simply add "--enable-qt" configure option when building testdisk/photorec.
Comment 2 Shalok Shalom 2015-02-10 19:17:10 MSK
I am (currently :P) not a Programmer and ready to test ;)
Comment 3 Shalok Shalom 2015-02-11 00:02:43 MSK
(In reply to comment #1)
> From
> http://www.cgsecurity.org/wiki/Developers#qphotorec:_PhotoRec_with_a_Qt4_GUI:
> 
> "qphotorec isn't yet usable but you are welcome to work on it ;-)"

This Info is outdated:  This page was last modified on 1 February 2012, at 07:37.

QPhotoRec reach Version 1.0 in December 2013:

http://www.geekssharingspace.org/2013/12/qphotorec-10-data-recovery-software-to.html

I guess, we can use it. :)
Comment 5 Shalok Shalom 2015-02-13 04:29:11 MSK
Thanks a lot, this Software helps me, to restore a lot of my deleted Documents.

Only Issue, which i have with it, is that you must change the default chosen media, which you want to restore, before QPhotoRec recognise it.

I guess this issue is easy to fix ?

(Start it with kdesu qphotorec)
Comment 6 Denis Silakov 2015-02-13 14:21:04 MSK
Yes, this was easy to fix. Let's send the final builds to our QA for additional check.

Advisory:
Build experimental QPhotoRec UI for PhotoRec.

Build lists:
https://abf.io/build_lists/2424616
https://abf.io/build_lists/2424617
Comment 7 Shalok Shalom 2015-02-13 18:35:22 MSK
Fine, Fine ^-^
Comment 8 Vladimir Potapov 2015-02-17 18:09:01 MSK
testdisk-6.14-5
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424616/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424617/x86_64/main/release/
**************************** Advisory ********************************
Build experimental QPhotoRec UI for PhotoRec.
**********************************************************************
QA Verified